-- WIKI shader main.lua file
require 'colors'
require 'shortcuts'
help = require 'help'

function love.load()
	effects	= {'puddle'}
	func	= {puddle=require'puddle'}
	select	= 1		-- starting effect (glass_ball)
	effect	= func[effects[select]]
	image	= gr.newImage('CheckerBoard.png')--'glass.jpg')
	gr.setBackgroundColor( 55, 55, 0 )
	screenWidth, screenHeight = gr.getWidth(), gr.getHeight()
	effect.load()
	end

function love.draw()
	effect.draw()
	end

function love.update( dt )
	effect.update(dt)
	end

function love.keypressed( key )  -- one operation per key press
	effect.keypressed( key )
	if key == 'p' then			-- 'p' key changes effect
		select = select < #effects and select + 1 or 1
		effect = func[ effects[ select ] ]
		effect.load() end
	if key == 'escape'	then love.event.push( 'quit' )	end
	end
